---
title: llarp::layers::platform::AddressMapping

---

# llarp::layers::platform::AddressMapping





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [flow::FlowInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md) | **[flow_info](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-flow-info)** <br>what we are mapping to remotely  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[src](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-src)**  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[dst](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-dst)**  |
| std::optional< [AddressMappingEntry](Classes/structllarp_1_1layers_1_1platform_1_1AddressMappingEntry.md) > | **[permitted_ranges](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-permitted-ranges)**  |
| bool | **[is_exit](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-is-exit)** <br>should we consider this an exit mapping?  |

## Public Attributes Documentation

### variable flow_info

```cpp
flow::FlowInfo flow_info;
```

what we are mapping to remotely 

### variable src

```cpp
PlatformAddr src;
```


### variable dst

```cpp
PlatformAddr dst;
```


### variable permitted_ranges

```cpp
std::optional< AddressMappingEntry > permitted_ranges;
```


### variable is_exit

```cpp
bool is_exit;
```

should we consider this an exit mapping? 

-------------------------------

Updated on 2023-03-02 at 18:04:08 +0000